//---------------------------------------------------------------------------

#ifndef EzCapCameraH
#define EzCapCameraH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>

enum TViewMode {PreviewMode, OverlayMode};

//---------------------------------------------------------------------------
class PACKAGE TEzCapCamera : public TPanel
{
private:
   HWND vcHWND;
   int JPGCQ;
   void __fastcall SetCompressionQ (int Value);             //]wY~
   TViewMode CameraMode;
   void __fastcall SetCameraMode(TViewMode CameraMode);     //]wvMode

protected:
public:
   void __fastcall CameraDisplay();                         //ve
   void __fastcall CameraDisconnect();                      //vu
   void __fastcall CameraClose();                           //ve
   void __fastcall VideoSourceDlg();                        //vSourceܵ
   void __fastcall VideoFormatDlg();                        //vFormatܵ
   void __fastcall VideoCompressDlg();                      //vY覡ܵ
   void __fastcall CapAVI(String);                          //^AVIɮ
   void __fastcall CapBmpPic(String);                       //^BMPϤ
   void __fastcall CapJpgPic(String);                       //^JPGϤ
   void __fastcall CapBitmapFrame(Graphics::TBitmap*);      //ȦsTBitmap
        __property Canvas;                                  //sWCanvasݩ
        __fastcall TEzCapCamera(TComponent* Owner);
        
__published:
   __property int JPGCompressionQ = {read = JPGCQ, write = SetCompressionQ ,default = 90}; //]wJPGY~ݩ
   __property TViewMode SelectCameraMode =
              {read = CameraMode, write = SetCameraMode ,default = PreviewMode};//]wvҦ

};
//---------------------------------------------------------------------------
#endif
